atclass(3)

NAME
atFileClassExt, atIsDerived - ASO class handling

SYNOPSIS
#include <atfs.h>
#include <atfstk.h>

char*    atFileClassExt (Af_key *aso);

int    atIsDerived (Af_key *aso);

DESCRIPTION
atFileClassExt returns a short string (one or two characters long), visualizing the attributed software objects (aso) class. This is a superset of the file class symbols added to filenames by the ls -F command.

/   Directory.

@   Symbolic Link.

=   Socket.

*   Executable.

$   Derived.

^   Locked.

Some combinations are possible. In espacially the circumflex (^) may be combined with any other symbol, resulting in a two letter string.

atIsDerived checks whether the denoted aso is in a derived object cache (return value TRUE) or not (return value FALSE).

SEE ALSO
ls(1)